% kernel_nparam:
%
% Returns the number of parameters of kernel function 'covfunc'.

function n_params = kernel_nparam(covfunc, num_inputs)

n_params_str = feval(covfunc{:});
posD = strfind(n_params_str, 'D');
if ~isempty(posD)
   n_params_str = strcat(n_params_str(1:(posD - 1)), num2str(num_inputs), ...
                         n_params_str((posD + 1):length(n_params_str)));                     
end
n_params = str2num(n_params_str); %#ok<ST2NM>
