function s = randsample(input, size)
% RANDSAMPLE(input, size)
%
%Sample 'size' elements of input set 'input' uniformly without replacement.

if length(input) == 1 % Scalar: indicates set 1:input
   perm = randperm(input);
   s = perm(1:size);
else
   perm = randperm(length(input));
   s = input(perm(1:size));
end
